<template>
  <v-container>
    <v-row>
      <v-col cols='12'>
        <bank-details-form :user-id="authInfo.id"></bank-details-form>
      </v-col>
      <v-col cols='12'>
        <bank-details-list :bank-details='bankDetails' />
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import BankDetailsForm from '@/components/bank-details/BankDetailsForm.vue';
import Vue from 'vue';
import Component from 'vue-class-component';
import { AuthInfoResponse } from '@/domain/response/auth/info/AuthInfoResponse';
import BankDetailsList from '@/components/bank-details/BankDetailsList.vue';
import { BankDetailsApiListRequest } from '@/api/ledius-token';

@Component({
  components: {
    BankDetailsForm,
    BankDetailsList
  }
})
export default class BankDetails extends Vue {
  private get authInfo(): AuthInfoResponse {
    return this.$store.getters['auth/info'];
  }

  private get bankDetails(): BankDetails[] {
    return this.$store.getters['exchange/bankDetails/bankDetails'];
  }

  private async mounted(): Promise<void> {
    if (this.authInfo) {
      await this.$store.dispatch('exchange/bankDetails/fetch', {
        userId: this.authInfo.id
      } as BankDetailsApiListRequest);
    }
  }
}
</script>

<style scoped></style>
